Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Developer API operation for GET /dev/v1/products//variants/.
cURL
curl --request GET \ --url https://api.shoppex.io/dev/v1/products/{id}/variants/{variantId} \ --header 'Authorization: Bearer <token>'
{ "data": { "id": "variant_1", "uniqid": "variant_1", "product_uniqid": "prod_1", "file_id": "550e8400-e29b-41d4-a716-446655440000", "dynamic_webhook": "https://example.com/variant-hook", "title": "Gold", "description": null, "price": 12, "price_modifier": null, "stock": 5, "stock_delimiter": null, "license_period": null, "option_values": { "region": "eu" }, "is_default": true, "sort_order": 0, "created_at": 1711953600, "updated_at": 1711953900 } }
Use your Shoppex API key in the Authorization header.
Successful response